      subroutine rhead (ngfine)
c
c     this subroutine reads header card for file
c
      integer     ngfine
c
      include     'limit.h'
      include     'header.h'
      include     'racc.h'
      include     'unit.h'
      integer      igrp,nerr
c
c     read reac header card
      read (iuin,501,end=91) title,ipar,igrp
c
c     check values
      nerr = 0
      if (ngfine .ne. igrp) then
         write (6,611) ngfine,igrp
         nerr = nerr+1
      endif
      if (ipar .ne. 0) then
         write (6,612) ipar
         nerr = nerr+1
      endif
      if (nerr .gt. 0) then 
         write (6,613)
         stop 21
      endif
c
c     set number of isotopes to zero
      niso = 0
c
c     set largest number of reactions to 0
      maxr = 0
c
c     set total number of reactions to zero
      sumrec = 0
c
c     set minimum mass number to 200
      nzmin = 200
c
c     set maximum mass number to 0
      nzmax = 0
c
c     return
      return
c
c     input cross section file empty
91    write (6,614)
      stop 22
c
501   format (a70,2i5)
611   format (' ERROR  number of fine groups on input =',i5,
     1        ' does not equal number of file =',i5)
612   format (' ERROR  particle type must be zero not =',i5)
613   format (' ABNORMAL STOP  error in reading cross section header')
614   format (' ABNORMAL STOP  input cross section file empty')
      end
